Tags
Rename Tag
Rename a tag. The new name applies to all items that have this tag.
PATCH
/
v1
/
tags
/
{id}
curl -X PATCH https://api.getmatter.com/public/v1/tags/tag_n5j2x \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"name": "long-reads"}'
response = requests.patch(
"https://api.getmatter.com/public/v1/tags/tag_n5j2x",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
},
json={"name": "long-reads"}
)
tag = response.json()
{
"object": "tag",
"id": "tag_n5j2x",
"name": "long-reads",
"item_count": 42,
"created_at": "2025-01-15T10:00:00Z"
}
{
"error": {
"code": "conflict",
"message": "A tag with this name already exists.",
"field": "name"
}
}
Path Parameters
string
required
The tag ID. Example:
tag_n5j2x.Body Parameters
string
required
The new tag name.
Response
Returns the updated tag.curl -X PATCH https://api.getmatter.com/public/v1/tags/tag_n5j2x \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"name": "long-reads"}'
response = requests.patch(
"https://api.getmatter.com/public/v1/tags/tag_n5j2x",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
},
json={"name": "long-reads"}
)
tag = response.json()
{
"object": "tag",
"id": "tag_n5j2x",
"name": "long-reads",
"item_count": 42,
"created_at": "2025-01-15T10:00:00Z"
}
{
"error": {
"code": "conflict",
"message": "A tag with this name already exists.",
"field": "name"
}
}
⌘I
curl -X PATCH https://api.getmatter.com/public/v1/tags/tag_n5j2x \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"name": "long-reads"}'
response = requests.patch(
"https://api.getmatter.com/public/v1/tags/tag_n5j2x",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
},
json={"name": "long-reads"}
)
tag = response.json()
{
"object": "tag",
"id": "tag_n5j2x",
"name": "long-reads",
"item_count": 42,
"created_at": "2025-01-15T10:00:00Z"
}
{
"error": {
"code": "conflict",
"message": "A tag with this name already exists.",
"field": "name"
}
}